co.aikar.commands

## Interface CommandIssuer

    public interface CommandIssuer

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
`<T> T` `getIssuer()` Gets the issuer in the platforms native object
`CommandManager` `getManager()`
`@NotNull UUID` `getUniqueId()`
`boolean` `hasPermission(String permission)` Has permission node
`boolean` `isPlayer()` Is this issue a player, or server/console sender
`default void` `sendError(co.aikar.locales.MessageKeyProvider key, String... replacements)`
`default void` `sendError(co.aikar.locales.MessageKey key, String... replacements)`
`default void` `sendInfo(co.aikar.locales.MessageKeyProvider key, String... replacements)`
`default void` `sendInfo(co.aikar.locales.MessageKey key, String... replacements)`
`default void` `sendMessage(MessageType type, co.aikar.locales.MessageKeyProvider key, String... replacements)`
`default void` `sendMessage(MessageType type, co.aikar.locales.MessageKey key, String... replacements)`
`default void` `sendMessage(String message)` Send the Command Issuer a message
`void` `sendMessageInternal(String message)` Deprecated. Do not call this, for internal use. Not considered part of the API and may break.
`default void` `sendSyntax(co.aikar.locales.MessageKeyProvider key, String... replacements)`
`default void` `sendSyntax(co.aikar.locales.MessageKey key, String... replacements)`

### Method Detail

#### getIssuer

    <T> T getIssuer()

Gets the issuer in the platforms native object

Type Parameters:
  `T` -
Returns:

#### getManager

    CommandManager getManager()

#### isPlayer

    boolean isPlayer()

Is this issue a player, or server/console sender

Returns:

#### sendMessage

    default void sendMessage(String message)

Send the Command Issuer a message

Parameters:
  `message` -

#### getUniqueId

    @NotNull
    @NotNull UUID getUniqueId()

Returns:
  the unique id of that issuer

#### hasPermission

    boolean hasPermission(String permission)

Has permission node

Parameters:
  `permission` -
Returns:

#### sendError

    default void sendError(co.aikar.locales.MessageKeyProvider key,
                           String... replacements)

#### sendSyntax

    default void sendSyntax(co.aikar.locales.MessageKeyProvider key,
                            String... replacements)

#### sendInfo

    default void sendInfo(co.aikar.locales.MessageKeyProvider key,
                          String... replacements)

#### sendError

    default void sendError(co.aikar.locales.MessageKey key,
                           String... replacements)

#### sendSyntax

    default void sendSyntax(co.aikar.locales.MessageKey key,
                            String... replacements)

#### sendInfo

    default void sendInfo(co.aikar.locales.MessageKey key,
                          String... replacements)

#### sendMessage

    default void sendMessage(MessageType type,
                             co.aikar.locales.MessageKeyProvider key,
                             String... replacements)

#### sendMessage

    default void sendMessage(MessageType type,
                             co.aikar.locales.MessageKey key,
                             String... replacements)

#### sendMessageInternal

    @Deprecated
    void sendMessageInternal(String message)

Deprecated. Do not call this, for internal use. Not considered part of the API and may break.

Parameters:
  `message` -